(ns rlm.play)

(defn play
  ([] (play 10))
  ([n]
     (loop [i 0
	    state false
	    turned-on (vec (repeat n false))
	    turned-off 0]
       (if (== turned-off (dec n))
	 i
	 (let [p (rand-int n)
	       i (inc i)]
	   (if (not= p 0)
	     (if (and (not state) (not (turned-on p)))
	       (recur i true (assoc turned-on p true) turned-off)
	       (recur i state turned-on turned-off))
	     (if state
	       (recur i false turned-on (inc turned-off))
	       (recur i state turned-on turned-off))))))))


